Skip to content

Stored only in your browser. Get one under Tokens.

Validates device ownership based on OVMode.​

POST
/devices/{id}/ownership/validate

Validates device ownership based on the configured OVMode (TLS, Manual, etc.).
If OVMode is TLS, the device itself must call this endpoint over a client TLS
connection whose certificate chains to the token's 'root_of_trust'.
If OVMode is manual, the device owner (a USER token) calls this endpoint to
accept the device; the device itself may call it to poll its current status.

Authorizations​

ApiKeyAuth
Type
API Key (header: Authorization)

Parameters​

Path Parameters

id*

Device ID

Type
string
Required

Responses​

Ownership validation successful. Returns OVMode details.

application/json
JSON
{
  
"crl_urls": [
  
  
"string"
  
],
  
"device_cert_id": "string",
  
"mode": "string",
  
"root_of_trust": "string",
  
"status": "string"
}

Playground​

Authorization
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI